Skip to main content

Update Object Schema

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.update_object_schema

Update object schema properties including labels, description, and searchable fields

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-update-object-schema-example",
"method": "tools/call",
"params": {
"name": "ghl.update_object_schema",
"arguments": {
"key": "key_example",
"searchableProperties": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"labels": {},
"locationId": "locationId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"key": {
"type": "string"
},
"labels": {
"type": "object",
"properties": {
"singular": {
"type": "string"
},
"plural": {
"type": "string"
}
}
},
"locationId": {
"type": "string"
},
"searchableProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"key",
"searchableProperties"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-update-object-schema-example",
"method": "tools/call",
"params": {
"name": "ghl.update_object_schema",
"arguments": {
"key": "key_example",
"searchableProperties": [],
"tenantId": "tenantId_123",
"strictTenant": false,
"labels": {},
"locationId": "locationId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.update_object_schema executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}